Bug 694144 - PenMount driver fails to load: undefined symbol: xf86LoaderReqSymLists
Summary: PenMount driver fails to load: undefined symbol: xf86LoaderReqSymLists
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-penmount
Version: 13
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-06 15:08 UTC by Jani Soila
Modified: 2011-05-25 18:55 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-drv-penmount-1.4.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 18:55:39 UTC
Type: ---


Attachments (Terms of Use)
Patch to comment out call to xf86LoaderReqSymLists (327 bytes, text/plain)
2011-04-06 15:08 UTC, Jani Soila
no flags Details

Description Jani Soila 2011-04-06 15:08:08 UTC
Created attachment 490317 [details]
Patch to comment out call to xf86LoaderReqSymLists

Description of problem:
PenMount driver fails to load and crashes X with the message:
undefined symbol: xf86LoaderReqSymLists

Version-Release number of selected component (if applicable):
xorg-x11-drv-penmount.x86_64 1.4.0-6.fc13

How reproducible:
Start X with PenMount driver.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
X crashes during loading PenMount driver.

Cause:
xf86LoaderReqSymLists is an obsolete function that was removed from the API.

Fix:
Remove or comment out failing call. Patch included as an attachment.

Comment 1 Fedora Update System 2011-04-17 22:49:14 UTC
xorg-x11-drv-penmount-1.4.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xorg-x11-drv-penmount-1.4.1-2.fc13

Comment 2 Fedora Update System 2011-04-18 21:23:37 UTC
Package xorg-x11-drv-penmount-1.4.1-2.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-penmount-1.4.1-2.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xorg-x11-drv-penmount-1.4.1-2.fc13
then log in and leave karma (feedback).

Comment 3 Peter Hutterer 2011-05-16 00:13:10 UTC
Did this update fix the bug for you? if so, can you please leave karma so the update gets into stable? thanks.

Comment 4 Fedora Update System 2011-05-25 18:55:35 UTC
xorg-x11-drv-penmount-1.4.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.